

# CreateConnectorDestination
<a name="API_CreateConnectorDestination"></a>

Create a connector destination for connecting a cloud-to-cloud (C2C) connector to the customer's AWS account.

## Request Syntax
<a name="API_CreateConnectorDestination_RequestSyntax"></a>

```
POST /connector-destinations HTTP/1.1
Content-type: application/json

{
   "AuthConfig": { 
      "GeneralAuthorization": [ 
         { 
            "AuthMaterialName": "string",
            "SecretsManager": { 
               "arn": "string",
               "versionId": "string"
            }
         }
      ],
      "oAuth": { 
         "authUrl": "string",
         "oAuthCompleteRedirectUrl": "string",
         "proactiveRefreshTokenRenewal": { 
            "DaysBeforeRenewal": number,
            "enabled": boolean
         },
         "scope": "string",
         "tokenEndpointAuthenticationScheme": "string",
         "tokenUrl": "string"
      }
   },
   "AuthType": "string",
   "ClientToken": "string",
   "CloudConnectorId": "string",
   "Description": "string",
   "Name": "string",
   "SecretsManager": { 
      "arn": "string",
      "versionId": "string"
   }
}
```

## URI Request Parameters
<a name="API_CreateConnectorDestination_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateConnectorDestination_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AuthConfig](#API_CreateConnectorDestination_RequestSyntax) **   <a name="managedintegrations-CreateConnectorDestination-request-AuthConfig"></a>
The authentication configuration details for the connector destination, including OAuth settings and other authentication parameters.  
Type: [AuthConfig](API_AuthConfig.md) object  
Required: Yes

 ** [AuthType](#API_CreateConnectorDestination_RequestSyntax) **   <a name="managedintegrations-CreateConnectorDestination-request-AuthType"></a>
The authentication type used for the connector destination, which determines how credentials and access are managed.  
Type: String  
Valid Values: `OAUTH`   
Required: No

 ** [ClientToken](#API_CreateConnectorDestination_RequestSyntax) **   <a name="managedintegrations-CreateConnectorDestination-request-ClientToken"></a>
An idempotency token. If you retry a request that completed successfully initially using the same client token and parameters, then the retry attempt will succeed without performing any further actions.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9=_-]+`   
Required: No

 ** [CloudConnectorId](#API_CreateConnectorDestination_RequestSyntax) **   <a name="managedintegrations-CreateConnectorDestination-request-CloudConnectorId"></a>
The identifier of the C2C connector.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[A-Za-z0-9-_]+`   
Required: Yes

 ** [Description](#API_CreateConnectorDestination_RequestSyntax) **   <a name="managedintegrations-CreateConnectorDestination-request-Description"></a>
A description of the connector destination.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[0-9A-Za-z_\- ]+`   
Required: No

 ** [Name](#API_CreateConnectorDestination_RequestSyntax) **   <a name="managedintegrations-CreateConnectorDestination-request-Name"></a>
The display name of the connector destination.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[A-Za-z0-9-_ ]+`   
Required: No

 ** [SecretsManager](#API_CreateConnectorDestination_RequestSyntax) **   <a name="managedintegrations-CreateConnectorDestination-request-SecretsManager"></a>
The AWS Secrets Manager configuration used to securely store and manage sensitive information for the connector destination.  
Type: [SecretsManager](API_SecretsManager.md) object  
Required: No

## Response Syntax
<a name="API_CreateConnectorDestination_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "Id": "string"
}
```

## Response Elements
<a name="API_CreateConnectorDestination_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [Id](#API_CreateConnectorDestination_ResponseSyntax) **   <a name="managedintegrations-CreateConnectorDestination-response-Id"></a>
The identifier of the C2C connector destination creation request.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[A-Za-z0-9-_]+` 

## Errors
<a name="API_CreateConnectorDestination_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
User is not authorized.  
HTTP Status Code: 403

 ** ConflictException **   
There is a conflict with the request.  
HTTP Status Code: 409

 ** InternalServerException **   
Internal error from the service that indicates an unexpected error or that the service is unavailable.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The rate exceeds the limit.  
HTTP Status Code: 429

 ** UnauthorizedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 401

 ** ValidationException **   
A validation error occurred when performing the API request.  
HTTP Status Code: 400

## See Also
<a name="API_CreateConnectorDestination_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-managed-integrations-2025-03-03/CreateConnectorDestination) 